Skip to main content
DELETE
/
projects
/
{projectId}
/
webhooks
/
{webhookId}
Delete webhook
curl --request DELETE \
  --url https://spectrum.photon.codes/projects/{projectId}/webhooks/{webhookId}
import requests

url = "https://spectrum.photon.codes/projects/{projectId}/webhooks/{webhookId}"

response = requests.delete(url)

print(response.text)
const options = {method: 'DELETE'};

fetch('https://spectrum.photon.codes/projects/{projectId}/webhooks/{webhookId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "succeed": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Path Parameters

webhookId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object
required